%define oname	cryptopp
%define _orig_ver	552
Name: libcryptopp
Version: 5.5.2
Release: alt2

Summary: Cryptopp Library - a free C++ class library of cryptographic schemes

License: GPL
Url: http://www.cryptopp.com/
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://dl.sourceforge.net/%name/%oname%_orig_ver.tar.bz2
Source: http://www.cryptopp.com/%oname%_orig_ver.tar.bz2
Source1: cryptopp-automake.tar.bz2

Provides: libcrypto++ = %version-%release
Obsoletes: libcrypto++

# Automatically added by buildreq on Sun Jan 27 2008
BuildRequires: gcc-c++

%description
Cryptopp Library is a free C++ class library of cryptographic schemes.

Small intro in russian: http://andreyvit.livejournal.com/37576.html

%package devel
Summary: Files for development of applications which will use Cryptopp
Group: Development/C++
Requires: %name = %version-%release

Provides: libcrypto++-devel = %version-%release
Obsoletes: libcrypto++-devel

%description devel
Files for development of applications which will use Cryptopp.

%package devel-static
Summary: Static Cryptopp library
Group: Development/C++
Requires: %name-devel = %version-%release
Provides: %name-static
Obsoletes: %name-static

%description devel-static
Static Cryptopp library.

%package progs
Summary: Cryptopp programs
Group: File tools
Requires: %name = %version-%release

%description progs
Cryptopp programs.

%prep
%setup -c -n %oname-%version -b1
touch NEWS README AUTHORS ChangeLog

%build
%__autoreconf
%configure
%make_build || %make

%install
install -d %buildroot%_libdir
install -d %buildroot%_bindir
install -d %buildroot%_includedir/cryptopp
install -d %buildroot%_datadir/cryptopp

install .libs/cryptest	%buildroot%_bindir
cp -a .libs/libcryptopp.so*  %buildroot%_libdir
install .libs/libcryptopp.a  %buildroot%_libdir
install *.h	%buildroot%_includedir/cryptopp
install *.dat  %buildroot%_datadir/cryptopp

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc License.txt Readme.txt
%_libdir/libcryptopp.so.*

%files devel
%_libdir/libcryptopp.so
%_includedir/cryptopp/

%files devel-static
%_libdir/libcryptopp.a

%files progs
%_bindir/cryptest
%_datadir/cryptopp/

%changelog
* Sat Mar 29 2008 Vitaly Lipatov <lav@altlinux.ru> 5.5.2-alt2
- fix devel-static package name

* Fri Jan 25 2008 Vitaly Lipatov <lav@altlinux.ru> 5.5.2-alt1
- new version (5.5.2), update autoconf/automake files
- disable asm code

* Fri Jan 25 2008 Vitaly Lipatov <lav@altlinux.ru> 5.2.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

